%{?nodejs_find_provides_and_requires}

%global packagename serve
%global enable_tests 0

Name:		nodejs-serve
Version:	1.4.0
Release:	1%{?dist}
Summary:	Simple command-line file / directory server built with connect

License:	MIT
URL:		https://github.com/visionmedia/serve.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# This package contains no tests


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
Simple command-line file / directory server built with connect


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json bin/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 15 2015 Jared Smith <jsmith@fedoraproject.org> - 1.4.0-1
- Initial packaging
